[Yandex Cloud documentation](../../../index.md) > [Yandex Identity and Access Management](../../index.md) > API reference > [REST](../index.md) > [ApiKey](index.md) > ListScopes

# Identity and Access Management API, REST: ApiKey.ListScopes

Retrieves the list of scopes.

## HTTP request

```
GET https://iam.api.cloud.yandex.net/iam/v1/apiKeyScopes
```

## Query parameters {#yandex.cloud.iam.v1.ListApiKeyScopesRequest}

#|
||Field | Description ||
|| pageSize | **string** (int64)

The maximum number of results per page to return. If the number of available
results is larger than `pageSize`,
the service returns a [ListApiKeyScopesResponse.nextPageToken](#yandex.cloud.iam.v1.ListApiKeyScopesResponse)
that can be used to get the next page of results in subsequent list requests.
Default value: 100.

Acceptable values are 0 to 1000, inclusive. ||
|| pageToken | **string**

Page token. To get the next page of results, set `pageToken` to the
[ListApiKeyScopesResponse.nextPageToken](#yandex.cloud.iam.v1.ListApiKeyScopesResponse) returned by a previous list request.

The maximum string length in characters is 2000. ||
|#

## Response {#yandex.cloud.iam.v1.ListApiKeyScopesResponse}

**HTTP Code: 200 - OK**

```json
{
  "scopes": [
    "string"
  ],
  "nextPageToken": "string"
}
```

#|
||Field | Description ||
|| scopes[] | **string**

List of scopes ||
|| nextPageToken | **string**

This token allows you to get the next page of results for list requests. If the number of results
is larger than [ListApiKeyScopesRequest.pageSize](#yandex.cloud.iam.v1.ListApiKeyScopesRequest), use the `nextPageToken` as the value
for the [ListApiKeyScopesRequest.pageToken](#yandex.cloud.iam.v1.ListApiKeyScopesRequest) query parameter in the next list request.
Each subsequent list request will have its own `nextPageToken` to continue paging through the results. ||
|#